.filter-wrapper {
  margin: 2rem;
  display: flex;
  justify-content: space-evenly;

  .mat-paginator {
    width: 30%;
    display: flex;
    justify-content: center;
    background-color: #3f51b5;
    color: #ffffff;
    font-weight: 700;
    font-size: medium;
    border: 2px solid #323a45;
    border-radius: 10px;
  }

  .search-form {
    width: 20rem;
    padding: 0.3rem;
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    color: #ffffff;

    label {
      margin: auto;
    }

  .search-input-wrapper {

    .search-field {
      display: inline;
      outline: none;
      width: 70%;
      min-height: 1.4rem;
      margin: 5px 0;
      padding: 0.3rem;
      border: none;
      border-top-left-radius: 5px;
      border-bottom-left-radius: 5px;
    }

    .search-btn {
      display: inline;
      padding: 0;
      width: 25%;
      min-height: 2rem;
      border: none;
      border-bottom-right-radius: 5px;
      border-top-right-radius: 5px;
      color: #ffffff;
      background-color: #3f51b5;

      &:hover {
        background-color: #C83B50;
      }
    }
  }

    .filter-buttons-wrapper {
      display: flex;
      justify-content: center;

      button {
        width: 40%;
        padding: 0.3rem 0.5rem;
        border: none;
        border-radius: 5px;
        background-color: #3f51b5;
        color: #ffffff;

        &:hover {
          background-color: #C83B50;
        }
      }
    }
  }
}

.posts-wrapper {
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  color: #ffffff;

  .like-btn {
    display: block;
    margin: 0 auto;
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 5px;
    background-color: #C83B50;
    color: inherit;
  }
}

